package courseware.jfcdep;

import java.awt.*;
import javax.swing.*;
import java.net.URL;
import java.util.*;
import java.applet.*;
import java.awt.image.*;

/**
 * Title:        Courseware
 * Description:
 * Copyright:    Copyright (c) 1998-2001
 * Company:      Yale Inst. Biospheric Studies
 * @author Ginger Booth
 * @version 3.0
 *
 * Someplace to put pesky resources like bg, bgImage, how to
 * draw a string in the right place, etc.
 */

public class CWGlobals {
  static public Color foreground;
  static public Color background;
  static public Font theFont;
  static public boolean haveComments;
  static public final int PRESWING = 0;
  static public final int SWING    = 1;
  static public int version = PRESWING;

  static public Object bgPainter; // none, in java 1.1

  static public void drawBackground(Graphics g, Component c) {
    g.setColor(background);
    g.fillRect(0,0,c.getSize().width, c.getSize().height);
  }

  static public void setButtonImages(int group,
    String plainFile, String pressedFile,
    Applet applet)
  {
    // don't.
  }
  static public void setButtonImages(int group, Image plain, Image pressed) {
    // don't.
  }
  static public ButtonImageSet getButtonImages(int group) {
    return null;
  }

  static public int findButtonGroupIndex(int group) {
    return -1;
  }
  /** Print an object as a unique id for debug purposes. */
  public static String pointerString(Object o) {
    return (o==null)? "null" : (new Integer(o.hashCode())).toString();
  }

  static public void setBackgroundImage(String imagefile, Applet applet) {
    // don't.
  }

  /** For the application aot applet versions... */
  static public void setBackgroundImage(String imagefile) {
//    System.err.println("setButtonImages sans applet not yet supported.");
  }
  static public void setButtonImages(int group, String plain, String pressed) {
//    System.err.println("setButtonImages sans applet not yet supported.");
  }

}