//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 2000, All rights reserved
//Author:       Ginger Booth, ginger@gingerbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

package stats;

public class DoubleTimeBroker implements StatBrokerable {
  private DoubleTimer timer;
  public DoubleTimeBroker(DoubleTimer t) {
    timer = t;
  }
  public Object getStatSource() { return timer; }
  public double getValue() {return timer.getCurrentTime();}
  public double getWeight() { return 1.0;}
  public double getNormalizer() { return 1.0; }
  public void setStatSource(Object o) { timer = (DoubleTimer) o;}
  public void setNormalizer(double d) { }
}