/*
 * 
 * @(#)PlottableOther.java 0.2 980922
 *
 * Copyright (c) 1998 Ginger Booth.  All Rights Reserved.
 * 
 * @history: original
 * @author Ginger Booth
 * @version 0.2, September 1998
 */
package courseware.plot;

/** A plottable something you wish to have called by PlotFn when it plots
 *  data. Won't show up on a legend or anything else automatically--drawing
 *  it is entirely up to you. Draw on the graphics, not the buffer, as the
 *  buffer updates the display before this is called.
 */
public interface PlottableOther extends PlottableFn {
    public void plotData(PlotFn onThisPlot);
}

