/*
 *
 * @(#)ReaderButton.java 0.2 98/04/27
 *
 * Copyright (c) 1998 Ginger Booth.  All Rights Reserved.
 *
 * @history: original
 * @author Ginger Booth
 * @version 0.2, April 1998
 */
package courseware.util;

/** A button bound to spawn a file reader.
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;
import courseware.jfcdep.*;

public class ReaderButton extends MatchedButton {
    private String reads;
    private Applet parent;  // ReadHTML needs it.

    public ReaderButton() {
        super("");
        this.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                ReadHTML r = new ReadHTML(reads, parent);
            }
        });
    }

    public ReaderButton(String label, String fileToRead, Applet applet) {
        super(label);
        reads = fileToRead;
        if (reads.equals(""))
          reads = null;
        parent = applet;

        this.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                if (reads == null)
                  return;
                ReadHTML r = new ReadHTML(reads, parent);
            }
        });
    }

    public void setFile(String fileToRead) {reads = fileToRead;}
    public String getFile() {return reads;}
    public void setOwner(Applet applet) {parent = applet;}
    public Applet getOwner() { return parent;}
}
