

package courseware.util;
import courseware.jfcdep.*;


public class ScientificNotation {
  public double mantissa;
  public int exponent;
  public int defaultSigDigits = 6;

  public ScientificNotation(double mantissa, int exponent) {
    this.mantissa = mantissa;
    this.exponent = exponent;
  }

  public double getTruncMantissa(int sigDigits) {
    return TruncVal.truncVal(mantissa, sigDigits);
  }
  public String getString(int sigDigits) {
    double mant = getTruncMantissa(sigDigits);
    return "" + mant + "E" + exponent;
  }
  public String getString() {
    double mant = getTruncMantissa(defaultSigDigits);
    return "" + mant + "E" + exponent;
  }
}
