//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator
/**
 * 990930, vfb, original Java
 * This is a precondition for Species putting a gizmo's parameters on popup
 * menus. Sample gizmos: Critter & its descendants; SizeStageObserver.
 *
 * Taking the property list from the standard Java introspector, rather than
 * providing them verbosely, has 2 problems:
 * 1. Introspection yields a security violation in an applet.
 * 2. Too little control over which aspects of the agent are "really" public
 *    versus the ones that are "public" for purposes of reusing code or are
 *    of import to living instances rather than the progenitors we use popups
 *    to customize.
 */
package gecko;

public interface GetPropertyNamesable {
  public String[] getPropertyNames();
}
