//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 2000, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** Glue one bucket of MeanSigmaSkew stats onto plot. This is simply something
 *  with indexed derived plot values, weighted or whatever by the stat
 *  deriver. Hence the name.
 */

package stats;

public class IndexStatBroker extends StatSourceBroker{
  private int index;
  public IndexStatBroker(IndexStatSource source, int index) {
    statsource = (StatSource) source;
    this.index = index;
  }

  public double getValue() {
    return ((IndexStatSource) statsource).getStat(index);
  }
  /** = 1.0. Let the statsource do the weighting. */
  public double getWeight() {return 1.0;}
}


